## hvcc 0.13.3

=== debian/changelog ===
hvcc (0.13.3-2) unstable; urgency=medium

  * Fix Vcs-* stanzas
  * Patch to fix autopkgtest on armv6.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1102523)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Apr 2025 10:22:51 +0200

hvcc (0.13.3-1) unstable; urgency=medium

  * New upstream version 0.13.3
    + Drop patch applied upstream
  * Fix copyright date.
  * Bump standards version to 4.7.2
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Mar 2025 23:12:23 +0100

hvcc (0.13.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1095553)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Feb 2025 11:05:21 +0100
