=== debian/control ===
Source: hvcc
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-importlib-resources,
 python3-jinja2,
 python3-poetry-core,
 python3-pydantic,
 python3-setuptools,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://wasted-audio.github.io/hvcc/
Vcs-Browser: https://salsa.debian.org/multimedia-team/hvcc
Vcs-Git: https://salsa.debian.org/multimedia-team/hvcc.git

Package: python3-hvcc
Architecture: all
Depends:
 pd-lib-builder,
 ${misc:Depends},
 ${python3:Depends},
Description: heavy dataflow audio programming language transpiler (Python 3 interface)
 Heavy is a framework for easily generating audio plugins for use in interactive
 sound and music applications such games, instruments or installations.
 .
 It aims to reduce the dependency on low-level programming from a creative
 standpoint and bridge the gap from idea to production-ready implementation.
 .
 Heavy makes use of modern software principles to generate highly optimised
 C/C++ code specifically targeting a wide variety of popular hardware
 architectures and software frameworks. It can also automatically build plugin
 binaries for these platforms.
 .
 Currently Heavy supports compiling Pure Data (.pd) patch files.
 .
 This package installs the library for Python 3.

Package: hvcc
Architecture: all
Depends:
 python3-hvcc,
 ${misc:Depends},
 ${python3:Depends},
Description: heavy dataflow audio programming language transpiler
 Heavy is a framework for easily generating audio plugins for use in interactive
 sound and music applications such games, instruments or installations.
 .
 It aims to reduce the dependency on low-level programming from a creative
 standpoint and bridge the gap from idea to production-ready implementation.
 .
 Heavy makes use of modern software principles to generate highly optimised
 C/C++ code specifically targeting a wide variety of popular hardware
 architectures and software frameworks. It can also automatically build plugin
 binaries for these platforms.
 .
 Currently Heavy supports compiling Pure Data (.pd) patch files.
 .
 This package installs the 'hvcc' binary and executables
