=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4
opts=dversionmangle=auto,\
     repacksuffix=+ds \
https://pypi.debian.net/hvcc/hvcc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
