## hvcc 0.13.4

=== debian/changelog ===
hvcc (0.13.4-1) unstable; urgency=medium

  * Team Upload
  * Patch-out usage of python3-importlib-resources backport

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.13.4
    + Drop patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 23:02:32 +0200
