=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-importlib-resources,
  python3-jinja2,
  python3-poetry-core,
  python3-pydantic,
