## hvcc 0.14.0

=== debian/changelog ===
hvcc (0.14.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.14.0
    + Drop obsolete patches
  * Put python3-hvcc into section 'python'
  * Update copyright information
    + Add new licenses
    + Re-generate d/copyright_hints
    + Add licenserecon override
  * Modernize d/watch to version 5

  [ Alexandre Detiste ]
  * Sent patch upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 08:19:07 +0200
