=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 Package: python3-hvcc
 Architecture: all
+Section: python
 Depends:
  pd-lib-builder,
  ${misc:Depends},
