=== debian/tests/control ===
Tests:
 clap-test,
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 hvcc,
 pd-lib-builder,
 puredata-core,
