=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/hvcc/
Matching-Pattern: hvcc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Dversionmangle: auto
Repacksuffix: +ds
