## hvcc 0.15.0

=== hvcc/generators/c2daisy/templates/Makefile ===
--- 
+++ 
@@ -23,3 +23,5 @@
 # Core location, and generic makefile.
 SYSTEM_FILES_DIR = $(LIBDAISY_DIR)/core
 include $(SYSTEM_FILES_DIR)/Makefile
+
+CFLAGS += -DHV_BARE_METAL
