=== debian/changelog ===
hvcc (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  + Add missing new B-Ds
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Update copyright information
    + Update d/copyright
    + List some GPL-3-only files
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Dec 2025 22:10:40 +0100
