=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: hvcc
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-arpeggio,
  python3-jinja2,
  python3-poetry-core,
  python3-pydantic,
+ python3-pydantic-extra-types,
  python3-setuptools,
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://wasted-audio.github.io/hvcc/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/hvcc
 Vcs-Git: https://salsa.debian.org/multimedia-team/hvcc.git
